# Get Full Community Category List

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
GET /categories
```

#### Query Parameters

This endpoint doesn't require query parameters.

#### Response

```javascript
{
    "data": [
        {
            "children": [
                {
                    "children": [],
                    "autoArchive": false,
                    "canBeChosen": true,
                    "isHidden": false,
                    "isMuted": false,
                    "parentId": 35798,
                    "id": 35799,
                    "name": "FAQ"
                },
                {
                    "children": [
                        {
                            "children": [
                                {
                                    "children": [],
                                    "autoArchive": false,
                                    "canBeChosen": true,
                                    "isHidden": false,
                                    "isMuted": false,
                                    "parentId": 35801,
                                    "id": 35802,
                                    "name": "Ticket details"
                                }
                            ],
                            "autoArchive": false,
                            "canBeChosen": true,
                            "isHidden": false,
                            "isMuted": false,
                            "parentId": 35800,
                            "id": 35801,
                            "name": "Tickets"
                        }
                    ],
                    "autoArchive": false,
                    "canBeChosen": true,
                    "isHidden": false,
                    "isMuted": false,
                    "parentId": 35798,
                    "id": 35800,
                    "name": "Inbox"
                },
                {
                    "children": [],
                    "autoArchive": false,
                    "canBeChosen": true,
                    "isHidden": false,
                    "isMuted": false,
                    "parentId": 35798,
                    "id": 35803,
                    "name": "Admin page"
                },
                {
                    "children": [],
                    "autoArchive": false,
                    "canBeChosen": true,
                    "isHidden": false,
                    "isMuted": false,
                    "parentId": 35798,
                    "id": 35804,
                    "name": "GDPR AR portal"
                }
            ],
            "autoArchive": false,
            "canBeChosen": true,
            "isHidden": false,
            "isMuted": false,
            "parentId": null,
            "id": 35798,
            "name": "Products"
        },
        {
            "children": [
                {
                    "children": [],
                    "autoArchive": false,
                    "canBeChosen": true,
                    "isHidden": false,
                    "isMuted": false,
                    "parentId": 35611,
                    "id": 35795,
                    "name": "ACME Corp"
                },
                {
                    "children": [],
                    "autoArchive": false,
                    "canBeChosen": true,
                    "isHidden": false,
                    "isMuted": false,
                    "parentId": 35611,
                    "id": 35797,
                    "name": "Dunder Mifflin Paper Co"
                },
                {
                    "children": [],
                    "autoArchive": false,
                    "canBeChosen": true,
                    "isHidden": false,
                    "isMuted": false,
                    "parentId": 35611,
                    "id": 35796,
                    "name": "Pawtucket Brewery"
                }
            ],
            "autoArchive": false,
            "canBeChosen": true,
            "isHidden": false,
            "isMuted": false,
            "parentId": null,
            "id": 35611,
            "name": "Customers"
        },
        {
            "children": [],
            "autoArchive": false,
            "canBeChosen": true,
            "isHidden": false,
            "isMuted": false,
            "parentId": null,
            "id": 35806,
            "name": "Other cases"
        }
    ],
    "errorCode": -1,
    "errorText": null
}
```

`Data` field has type array of [Category ](/docs/apis/tickets/reference/objects/category.md)objects.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/get-community-category-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
